<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getRecentScripts](./bitburner.ns.getrecentscripts.md)

## NS.getRecentScripts() method

Get an array of recently killed scripts across all servers.

**Signature:**

```typescript
getRecentScripts(): RecentScript[];
```
**Returns:**

[RecentScript](./bitburner.recentscript.md)<!-- -->\[\]

Array with information about previously killed scripts.

## Remarks

RAM cost: 0.2 GB

The most recently killed script is the first element in the array. Note that there is a maximum number of recently killed scripts which are tracked. This is configurable in the game's options as `Recently killed scripts size`<!-- -->.

## Example


```js
let recentScripts = ns.getRecentScripts();
let mostRecent = recentScripts.shift();
if (mostRecent)
  ns.tprint(mostRecent.logs.join('\n'));
```

